version: "3.1"

services:
  mysql:
    image: mysql:8.0.22
    container_name: mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    env_file:
      - ./.db.variables.env
    # https://thegeekbin.com/mbind-operation-not-permitted-docker-mysql/
    security_opt:
      - seccomp=unconfined

    volumes:
      - db_data:/var/lib/mysql
      - ./scripts:/docker-entrypoint-initdb.d
    networks:
      - traefik_net
networks:
  traefik_net:
    external: true

volumes:
  db_data:
